%define upstream_name    Opcodes
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Opcodes info from opnames.h and opcode.h
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
More Opcodes information from opnames.h and opcode.h.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 525745
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 shlomif <shlomif> 0.120.0-1.mga4
+ Revision: 434414
- update to 0.12

* Wed May 29 2013 jquelin <jquelin> 0.110.0-5.mga4
+ Revision: 430923
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 0.110.0-4.mga4
+ Revision: 430055
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-3.mga3
+ Revision: 371124
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.110.0-2.mga3
+ Revision: 251002
- rebuild for perl 5.16

* Tue Dec 06 2011 kharec <kharec> 0.110.0-1.mga2
+ Revision: 177821
- update to 0.11

* Mon Nov 07 2011 kharec <kharec> 0.100.0-1.mga2
+ Revision: 165115
- add a description
- imported package perl-Opcodes


* Mon Nov 07 2011 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
